errors with celeryd and paster serve

classic Classic list List threaded Threaded
18 messages Options
Reply | Threaded
Open this post in threaded view
|

errors with celeryd and paster serve

Raymond Norton
I am testing a new install of 2.0 on Ubuntu 12.0.4  with celeryd and
paster serve. The browser displays internal server errors and the new
baruwa server produces the following log errors:



paster celeryd /etc/baruwa/production.ini -f /var/log/baruwa/celeryd.log &



baruwa# paster celeryd /etc/baruwa/production.ini -f
/var/log/baruwa/celeryd.log &
[1] 1892
(px)root@relay-3:/home/baruwa# Traceback (most recent call last):
   File "/home/baruwa/px/bin/paster", line 9, in <module>
     load_entry_point('PasteScript==1.7.5', 'console_scripts', 'paster')()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/script/command.py",
line 103, in run
     command = commands[command_name].load()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/pkg_resources.py",
line 2186, in load
     ['__name__'])
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/baruwa/lib/mq/commands.py",
line 27, in <module>
     from celery.bin import camqadm, celerybeat, celeryd, celeryev
ImportError: cannot import name camqadm








paster serve --reload /etc/baruwa/production.ini


Error - <type 'exceptions.SyntaxError'>: invalid token (sphinxapi.py,
line 1)
----------------------------------------
Exception happened during processing of request from ('10.10.1.15', 49539)
Traceback (most recent call last):
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 1068, in process_request_in_thread
     self.finish_request(request, client_address)
   File "/usr/lib/python2.7/SocketServer.py", line 323, in finish_request
     self.RequestHandlerClass(request, client_address, self)
   File "/usr/lib/python2.7/SocketServer.py", line 638, in __init__
     self.handle()

More errors follow

--
Raymond Norton
LCTN
952.955.7766


_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Andrew Colin Kissa
Administrator
Hi Raymond,

The errors are mainly because the versions of celery and sphinx are
not compatible with baruwa.

Regards,
Andrew

On 02 Sep 2014, at 7:09 PM, Raymond Norton <[hidden email]> wrote:

> ImportError: cannot import name camqadm


_______________________________________________
http://pledgie.com/campaigns/12056

signature.asc (858 bytes) Download Attachment
--
Baruwa - www.baruwa.org
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton
I updated sphinxsearch via the following, but still get the error:


     $ sudo add-apt-repository ppa:builds/sphinxsearch-daily

     $ sudo apt-get update

     Install/update sphinxsearch package:

     $ sudo apt-get install sphinxsearch


What is the answer to resolve the errors, in your opinion?



On 09/03/2014 01:57 AM, Andrew Colin Kissa wrote:
> Hi Raymond,
>
> The errors are mainly because the versions of celery and sphinx are
> not compatible with baruwa.
>


_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

jeremymcs
You need to downgrade. Not upgrade. 

--
Jeremy McSpadden
Flux Labs | http://www.fluxlabs.net | Endless Solutions
Office : <a href="tel:850-250-5590;501">850-250-5590x501 | Cell : <a href="tel:850-890-2543">850-890-2543 | Fax : <a href="tel:850-254-2955">850-254-2955

On Sep 4, 2014, at 11:39 AM, "Raymond Norton" <[hidden email]> wrote:

I updated sphinxsearch via the following, but still get the error:


   $ sudo add-apt-repository ppa:builds/sphinxsearch-daily

   $ sudo apt-get update

   Install/update sphinxsearch package:

   $ sudo apt-get install sphinxsearch


What is the answer to resolve the errors, in your opinion?



On 09/03/2014 01:57 AM, Andrew Colin Kissa wrote:
Hi Raymond,

The errors are mainly because the versions of celery and sphinx are
not compatible with baruwa.



_______________________________________________
http://pledgie.com/campaigns/12056

_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Andrew Colin Kissa
Administrator

And you need to put the packages in the virtualenv not on the system.

On 04 Sep 2014, at 7:11 PM, Jeremy McSpadden <[hidden email]> wrote:

> You need to downgrade. Not upgrade.


_______________________________________________
http://pledgie.com/campaigns/12056

signature.asc (858 bytes) Download Attachment
--
Baruwa - www.baruwa.org
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton
In reply to this post by jeremymcs
Sphinxsearch is installed in Ubuntu via apt. At what point is celery installed and how would I control the version?

Here is what I have:

celery-3.1.13-py2.7.egg-info

sphinxsearch_2.0.4-0ubuntu1_amd64.deb

What versions do I need to downgrade to, so they will work with Baruwa 2.0? Not sure if I downgrade both, or just sphinxsearch?


On 09/04/2014 12:11 PM, Jeremy McSpadden wrote:
You need to downgrade. Not upgrade.





_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

jeremymcs
Like Andrew said, you need to install them into your virtualenv. 

cd /home/baruwa
python -c 'import virtualenv'; virtualenv --distribute px
source px/bin/activate; export SWIG_FEATURES="-cpperraswarn -includeall -D__`uname -m`__ -I/usr/include/openssl"
pip install distribute
pip install -U distribute
pip install python-memcached
pip install --timeout 120 -r requirements.txt
pip install babel==0.9.6
pip uninstall reportlab -y
pip install reportlab==2.7

--
Jeremy McSpadden
Flux Labs | http://www.fluxlabs.net | Endless Solutions
Office : 850-250-5590x501 | Cell : 850-890-2543 | Fax : 850-254-2955

On Sep 4, 2014, at 2:29 PM, Raymond Norton <[hidden email]> wrote:

Sphinxsearch is installed in Ubuntu via apt. At what point is celery installed and how would I control the version?

Here is what I have:

celery-3.1.13-py2.7.egg-info

sphinxsearch_2.0.4-0ubuntu1_amd64.deb

What versions do I need to downgrade to, so they will work with Baruwa 2.0? Not sure if I downgrade both, or just sphinxsearch?


On 09/04/2014 12:11 PM, Jeremy McSpadden wrote:
You need to downgrade. Not upgrade.




_______________________________________________
http://pledgie.com/campaigns/12056


_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton
Thank you Jeremy!

Celery started fine this time around. I'm getting further, but get the following error when launching the built in server: (when accessing the url server:5000)

Error - <type 'exceptions.AttributeError'>: 'HTTPUnauthorized' object has no attribute 'exception'

I found others discussing the error, with the recommended fix. Is that advised?


<possiblefix>
It would appear that I have found a fix to this issue:

pip uninstall webob
pip install webob==1.3
</possiblefix>




On 09/04/2014 02:37 PM, Jeremy McSpadden wrote:
Like Andrew said, you need to install them into your virtualenv. 



_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

jeremymcs
Possibly. I never finished the installer for Ubuntu. I am not sure which versions it needs. Have you followed the guide online ? 

--
Jeremy McSpadden
Flux Labs | http://www.fluxlabs.net | Endless Solutions
Office : <a href="tel:850-250-5590;501">850-250-5590x501 | Cell : <a href="tel:850-890-2543">850-890-2543 | Fax : <a href="tel:850-254-2955">850-254-2955

On Sep 4, 2014, at 4:05 PM, "Raymond Norton" <[hidden email]> wrote:

Thank you Jeremy!

Celery started fine this time around. I'm getting further, but get the following error when launching the built in server: (when accessing the url server:5000)

Error - <type 'exceptions.AttributeError'>: 'HTTPUnauthorized' object has no attribute 'exception'

I found others discussing the error, with the recommended fix. Is that advised?


<possiblefix>
It would appear that I have found a fix to this issue:

pip uninstall webob
pip install webob==1.3
</possiblefix>




On 09/04/2014 02:37 PM, Jeremy McSpadden wrote:
Like Andrew said, you need to install them into your virtualenv. 


_______________________________________________
http://pledgie.com/campaigns/12056

_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton
I have walked  through the guide several times now, to the point of launching celery and the built in server. I didn't want to go any further till I eliminated all errors.


I'll snapshot the vm and try the fix


On 09/04/2014 04:07 PM, Jeremy McSpadden wrote:
Possibly. I never finished the installer for Ubuntu. I am not sure which versions it needs. Have you followed the guide online ? 



_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton
In reply to this post by jeremymcs
Downgrading webob got me to a login page now, with the following errors:



Exception happened during processing of request from ('10.10.1.15', 59790)
Traceback (most recent call last):
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 1068, in process_request_in_thread
     self.finish_request(request, client_address)
   File "/usr/lib/python2.7/SocketServer.py", line 323, in finish_request
     self.RequestHandlerClass(request, client_address, self)
   File "/usr/lib/python2.7/SocketServer.py", line 638, in __init__
     self.handle()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 442, in handle
     BaseHTTPRequestHandler.handle(self)
   File "/usr/lib/python2.7/BaseHTTPServer.py", line 340, in handle
     self.handle_one_request()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 437, in handle_one_request
     self.wsgi_execute()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 287, in wsgi_execute
     self.wsgi_start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/registry.py",
line 379, in __call__
     app_iter = self.application(environ, start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/pylons/middleware.py", line
177, in __call__
     self.app, new_environ, catch_exc_info=True)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/pylons/util.py", line
50, in call_wsgi_application
     app_iter = application(environ, start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/weberror/errormiddleware.py",
line 156, in __call__
     return self.application(environ, start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/middleware.py",
line 85, in __call__
     self.add_metadata(environ, classification, identity)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/middleware.py",
line 179, in add_metadata
     plugin.add_metadata(environ, identity)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/plugins/sa.py",
line 210, in add_metadata
     identity['user'] = self.get_user(identity['repoze.who.userid'])
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/plugins/sa.py",
line 64, in get_user
     return query.one()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2209, in one
     ret = list(self)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/baruwa/lib/caching_query.py",
line 77, in __iter__
     return Query.__iter__(self)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2252, in __iter__
     return self._execute_and_instances(context)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2265, in _execute_and_instances
     close_with_result=True)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2256, in _connection_from_session
     **kw)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/session.py",
line 771, in connection
     close_with_result=close_with_result)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/session.py",
line 775, in _connection_for_bind
     return self.transaction._connection_for_bind(engine)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/session.py",
line 279, in _connection_for_bind
     if self.session.twophase and self._parent is None:
AttributeError: 'NoneType' object has no attribute 'twophase'
----------------------------------------
Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no
attribute 'twophase'


_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Andrew Colin Kissa
Administrator

On 04 Sep 2014, at 11:17 PM, Raymond Norton <[hidden email]> wrote:

> Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no attribute 'two phase'

This is an issue with connecting to the postgresql database, you need to check that
the credentials are correct and the db is running.


_______________________________________________
http://pledgie.com/campaigns/12056

signature.asc (858 bytes) Download Attachment
--
Baruwa - www.baruwa.org
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton
I went through the setup a couple more times, but get the same error:

I can connect to the baruwa databse via psql, no problem

psql -U baruwa -d baruwa -h 127.0.0.1 -W


My production.ini file has the following lines:

sqlalchemy.url = [hidden email]

Can this line be correct? I don't have mysql installed.

# SphinxSQL URL
sphinx.url = [hidden email]


On 09/05/2014 01:22 AM, Andrew Colin Kissa wrote:
On 04 Sep 2014, at 11:17 PM, Raymond Norton [hidden email] wrote:

Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no attribute 'two phase'
This is an issue with connecting to the postgresql database, you need to check that
the credentials are correct and the db is running.



_______________________________________________
http://pledgie.com/campaigns/12056

-- 
Raymond Norton
LCTN
952.955.7766

_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton
Bump

I can telnet to 127.0.0.1:9306, so production.ini seems to be fine.

I am accessing the server from another workstation (10.10.1.15). Could that be the reason I get the errors below, or could it just be a an issue with the built in server and the problem will be resolved by running Apache?



On 09/05/2014 11:20 AM, Raymond Norton wrote:
I went through the setup a couple more times, but get the same error:

I can connect to the baruwa databse via psql, no problem

psql -U baruwa -d baruwa -h 127.0.0.1 -W


My production.ini file has the following lines:

sqlalchemy.url = [hidden email]

Can this line be correct? I don't have mysql installed.

# SphinxSQL URL
sphinx.url = [hidden email]


On 09/05/2014 01:22 AM, Andrew Colin Kissa wrote:
On 04 Sep 2014, at 11:17 PM, Raymond Norton [hidden email] wrote:

Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no attribute 'two phase'
This is an issue with connecting to the postgresql database, you need to check that
the credentials are correct and the db is running.



_______________________________________________
http://pledgie.com/campaigns/12056

-- 
Raymond Norton
LCTN
952.955.7766

--
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
http://pledgie.com/campaigns/12056

-- 
Raymond Norton
LCTN
952.955.7766

_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Andrew Colin Kissa
Administrator

On 08 Sep 2014, at 3:16 PM, Raymond Norton <[hidden email]> wrote:

> Bump
>
> I can telnet to 127.0.0.1:9306, so production.ini seems to be fine.
>
> I am accessing the server from another workstation (10.10.1.15). Could that be the reason I get the errors below, or could it just be a an issue with the built in server and the problem will be resolved by running Apache?

Try running SQLAlchemy version 0.7.9



_______________________________________________
http://pledgie.com/campaigns/12056

signature.asc (858 bytes) Download Attachment
--
Baruwa - www.baruwa.org
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton

> Try running SQLAlchemy version 0.7.9
>
>


Still have the same issue. Removed and installed SQLAlchemy 0.79

pip uninstall SQLAlchemy -y
pip install SQLAlchemy==0.7.9

Broker and Server info:



(px)root@relay-3:/home/baruwa# paster celeryd /etc/baruwa/production.ini
-f /var/log/baruwa/celeryd.log &
[3] 2562
(px)root@relay-3:/home/baruwa#
/home/baruwa/px/local/lib/python2.7/site-packages/celery/utils/__init__.py:72:
CPendingDeprecationWarning:
     The 'BROKER_VHOST' setting is scheduled for deprecation in version
2.5 and removal in version v4.0.     Use BROKER_URL instead

   warnings.warn(w)
/home/baruwa/px/local/lib/python2.7/site-packages/celery/utils/__init__.py:72:
CPendingDeprecationWarning:
     The 'BROKER_HOST' setting is scheduled for deprecation in version
2.5 and removal in version v4.0.     Use BROKER_URL instead

   warnings.warn(w)
/home/baruwa/px/local/lib/python2.7/site-packages/celery/utils/__init__.py:72:
CPendingDeprecationWarning:
     The 'BROKER_USER' setting is scheduled for deprecation in version
2.5 and removal in version v4.0.     Use BROKER_URL instead

   warnings.warn(w)
/home/baruwa/px/local/lib/python2.7/site-packages/celery/utils/__init__.py:72:
CPendingDeprecationWarning:
     The 'BROKER_PASSWORD' setting is scheduled for deprecation in    
version 2.5 and removal in version v4.0.     Use BROKER_URL instead

   warnings.warn(w)
/home/baruwa/px/local/lib/python2.7/site-packages/celery/utils/__init__.py:72:
CPendingDeprecationWarning:
     The 'BROKER_PORT' setting is scheduled for deprecation in version
2.5 and removal in version v4.0.     Use BROKER_URL instead

   warnings.warn(w)
/home/baruwa/px/local/lib/python2.7/site-packages/celery/apps/worker.py:171:
RuntimeWarning: Running celeryd with superuser privileges is discouraged!
   'Running celeryd with superuser privileges is discouraged!'))

  -------------- celery@relay-3 v3.0.24 (Chiastic Slide)
---- **** -----
--- * ***  * -- Linux-3.2.0-29-generic-x86_64-with-Ubuntu-12.04-precise
-- * - **** ---
- ** ---------- [config]
- ** ---------- .> broker: amqp://baruwa@127.0.0.1:5672/baruwa
- ** ---------- .> app:         default:0x1375750
(baruwa.lib.mq.loader.PylonsLoader)
- ** ---------- .> concurrency: 100 (eventlet)
- *** --- * --- .> events:      OFF (enable -E to monitor this worker)
-- ******* ----
--- ***** ----- [queues]
  -------------- .> default:     exchange:default(direct) binding:default
                 .> msbackend:   exchange:ms(fanout) binding:mstasks
                 .> relay-3:     exchange:host(direct) binding:relay-3


------------------------------------------------------------------------------------------------------------



(px)root@relay-3:/home/baruwa# paster serve --reload
/etc/baruwa/production.ini
Starting subprocess with file monitor
Starting server in PID 2573.
serving on 0.0.0.0:5000 view at http://127.0.0.1:5000
Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no
attribute 'twophase'
Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no
attribute 'twophase'
----------------------------------------
Exception happened during processing of request from ('10.10.1.15', 57076)
Traceback (most recent call last):
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 1068, in process_request_in_thread
     self.finish_request(request, client_address)
   File "/usr/lib/python2.7/SocketServer.py", line 323, in finish_request
     self.RequestHandlerClass(request, client_address, self)
   File "/usr/lib/python2.7/SocketServer.py", line 638, in __init__
     self.handle()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 442, in handle
     BaseHTTPRequestHandler.handle(self)
   File "/usr/lib/python2.7/BaseHTTPServer.py", line 340, in handle
     self.handle_one_request()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 437, in handle_one_request
     self.wsgi_execute()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/httpserver.py",
line 287, in wsgi_execute
     self.wsgi_start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/paste/registry.py",
line 379, in __call__
     app_iter = self.application(environ, start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/pylons/middleware.py", line
177, in __call__
     self.app, new_environ, catch_exc_info=True)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/pylons/util.py", line
50, in call_wsgi_application
     app_iter = application(environ, start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/weberror/errormiddleware.py",
line 156, in __call__
     return self.application(environ, start_response)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/middleware.py",
line 85, in __call__
     self.add_metadata(environ, classification, identity)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/middleware.py",
line 179, in add_metadata
     plugin.add_metadata(environ, identity)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/plugins/sa.py",
line 210, in add_metadata
     identity['user'] = self.get_user(identity['repoze.who.userid'])
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/repoze/who/plugins/sa.py",
line 64, in get_user
     return query.one()
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2184, in one
     ret = list(self)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/baruwa/lib/caching_query.py",
line 77, in __iter__
     return Query.__iter__(self)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2227, in __iter__
     return self._execute_and_instances(context)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2240, in _execute_and_instances
     close_with_result=True)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/query.py",
line 2231, in _connection_from_session
     **kw)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/session.py",
line 777, in connection
     close_with_result=close_with_result)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/session.py",
line 781, in _connection_for_bind
     return self.transaction._connection_for_bind(engine)
   File
"/home/baruwa/px/local/lib/python2.7/site-packages/sqlalchemy/orm/session.py",
line 308, in _connection_for_bind
     if self.session.twophase and self._parent is None:
AttributeError: 'NoneType' object has no attribute 'twophase'
----------------------------------------
Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no
attribute 'twophase'
Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no
attribute 'twophase'
Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no
attribute 'twophase'
Error - <type 'exceptions.AttributeError'>: 'NoneType' object has no
attribute 'twophase'


_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

Raymond Norton

>
> Still have the same issue. Removed and installed SQLAlchemy 0.79


The issue must have something to do with the built in server. I went
ahead with installing Apache and the web interface seems to be working.
Will keep you posted.


_______________________________________________
http://pledgie.com/campaigns/12056
Reply | Threaded
Open this post in threaded view
|

Re: errors with celeryd and paster serve

admin-at-extremeshok-dot-com
Pretty much the open source edition  is a dead project, the open source version has lots of issues and lacks support

If you are going to use it in production, save yourself the hassle and get the commercial edition or hosted edition. At least you know it will work and you arnt going to have show stopping issues when a package updates.

Other option as mailborder, also not free.

Sent from my iPhone

> On 09 Sep 2014, at 3:52 PM, Raymond Norton <[hidden email]> wrote:
>
>
>>
>> Still have the same issue. Removed and installed SQLAlchemy 0.79
>
>
> The issue must have something to do with the built in server. I went ahead with installing Apache and the web interface seems to be working. Will keep you posted.
>
>
> _______________________________________________
> http://pledgie.com/campaigns/12056

_______________________________________________
http://pledgie.com/campaigns/12056